[개발새발]
277
2020-01-16 18:53:28
6
199

리눅스 mysql 설치를 위한 cmake 설치간 오류입니다 ㅜㅜ


aws ec2 리눅스2 에서 mysql 8.0.16버전 설치중입니다

설치를 위해서 cmake 3.16.2버젼을 설치하려 합니다 

(현재는 cmake version 2.8.12.2 입니다)

cmake tar 파일 받은 후 

./bootstrap을 실행하면

g++        -DCMAKE_BOOTSTRAP   -I/usr/local/src/cmake-3.16.2/Bootstrap.cmk   -I/usr/local/src/cmake-3.16.2/Source   -I/usr/local/src/cmake-3.16.2/Source/LexerParser   -I/usr/local/src/cmake-3.16.2/Utilities/std   -I/usr/local/src/cmake-3.16.2/Utilities  -c /usr/local/src/cmake-3.16.2/Source/cmGeneratorExpressionNode.cxx -o cmGeneratorExpressionNode.o

 에서 더이상 진행이 안되는데 왜이런 걸까요??

0
0
  • 답변 6

  • fender
    16k
    2020-01-16 19:05:14

    리눅스에 프로그램 설치는 가능하면 패키지를 이용하는 것이 바람직합니다.

    1
  • [개발새발]
    277
    2020-01-16 19:09:58

    fender

    yum list mysql* 로 검색해보면

    MySQL-python.x86_64                                                 1.2.5-1.amzn2.0.2                                         amzn2-core

    mysql-connector-java.noarch                                         1:5.1.25-3.amzn2                                          amzn2-core

    mysql-connector-odbc.x86_64                                         5.2.5-7.amzn2                                             amzn2-core

    이렇게만 나옵니다 

    현재 rds로 mysql 8.0.16 인스턴스 만들어놓은 상태인데 이 db에 ec2로 접속하기 위해선 ec2에 위의 3가지 중에 무엇을 설치해야 하는건가요?

    또는 ec2에 mariadb 설치하고 mysql(rds)에 접속 가능한가요??


    0
  • [개발새발]
    277
    2020-01-16 19:14:48

    mariadb 패키지로 간단하게 설치하고 접속해보니 되네요 ㅎㅎㅎ

    0
  • 초무쿤
    3k
    2020-01-17 00:57:07

    컴파일 설치는 정신건강을 심각하게 해칠수가..ㄷㄷ

    물론 몇번 경험삼아 해볼만하긴 한데요...

    지금 생각해보면 옛날에는 어떻게 저렇게 썼을까 싶네요..

    0
  • fender
    16k
    2020-01-17 01:47:20

    초무쿤 // 사실 20년 전에도 리눅스는 패키지 설치가 정석이긴 했어요. 그런데 'APM 따라하기' 같은 부류의 튜토리얼들이 돌아다니면서 무작정 소스 설치를 권장하는 통에 지금까지도 리눅스를 잘 모르시는 분들이 가끔 이유없이 소스 설치에 도전하는 경우가 있더군요.

    특히 웹서버, 디비 같은 것들은 배포판의 패치나 보안 업데이트 등이 중요한데 소스 설치하면서 매번 그런 걸 신경 쓰는 건 사실상 어려운 일이고, 설사 불가피하게 소스 설치를 해도 소스를 빌드해서 패키지로 설치하지 배포판 컨벤션 무시하고 그냥 엎어 버리는 건 가능하면 피해야하는 일이기도 합니다.

    근데 저런 부류 따라하기의 여파인지 오히려 리눅스에 익숙하지 않은 분들이 소스 설치하다가 막혀서 질문을 가끔 올리셔서, 그런 글을 보면 패키지 설치를 권해드리고 있습니다.

    0
  • 초무쿤
    3k
    2020-01-17 03:27:20 작성 2020-01-17 03:27:42 수정됨

    //fender

    그렇군요. 하긴 요즘은 yum이나 apt같은 배포시스템이 너무 잘되있네요.

    예전에는 컴파일설치를 하던 rpm설치를 하던 이놈에 dependency때문에 고생했는데 너무 편해서 좋습니다.


    0
  • 로그인을 하시면 답변을 등록할 수 있습니다.